Subject: Re: bug#22145: 25.0.50; tramp and auto-revert tests hang on OS X

From: Anders Lindgren <[email-masked]>
Date: Sat, 19 Dec 2015 23:43:04 +0100

I get:

    -bash: test: too many arguments
    -bash: test: too many arguments

I didn't see any beeps in the output (I even checked with "od -a").

OS X Yosemite comes with bash 3.2.57 (from 2007) -- so it might not be up
to speed when it comes to parsing the command line with odd characters.
(Just a theory, but I thought it would be worth pointing it out.)

    -- Anders

On Sat, Dec 19, 2015 at 8:24 PM, Michael Albinus <[email-masked]>
wrote:
>
> Anders Lindgren <[email-masked]> writes:
>
> > Anyway, it works with simple filenames like "xyz", so it is somehow
> > connected to the non-ascii file names. By the way, are you aware that
> > OS X denormalizes file names when stored in the file system, could
> > that be related to this in any way?
>
> Yes, I follow your discussion with Eli. But I don't see (yet) how it is
> related to Tramp. Tramp works on shell level, and you have proved in the
> very beginning of our conversation, that the command itself works when
> entered in the shell.
>
> So I still have no real idea. Maybe (attention: wild guess!) the shell
> command or a path of this command is too long for OSX? So we might try
> to run the command as-it-is. Could you pls check, what happens in a
> shell with these commands:
>
> --8<---------------cut here---------------start------------->8---
> # mkdir
/private/var/folders/qq/qqGPPGoBHOGgJs3oBoKTHU\\+\\+\\+TI/-Tmp-/tramp-test22198dkQ
> # (test -e
/private/var/folders/qq/qqGPPGoBHOGgJs3oBoKTHU\\+\\+\\+TI/-Tmp-/tramp-test22198dkQ/\\أ\\ص\\ب\\ح\\
\\ب\\و\\س\\ع\\ك\\ \\ا\\ل\\آ\\ن\\ \\ت\\ن\\ز\\ي\\ل\\ \\ن\\س\\خ\\ة\\
\\ك\\ا\\م\\ل\\ة\\ \\م\\ن\\ \\م\\و\\س\\و\\ع\\ة\\
\\و\\ي\\ك\\ي\\ب\\ي\\د\\ي\\ا\\ \\ا\\ل\\ع\\ر\\ب\\ي\\ة\\
\\ل\\ت\\ص\\ف\\ح\\ه\\ا\\ \\ب\\ل\\ا\\ \\ا\\ت\\ص\\ا\\ل\\
\\ب\\ا\\ل\\إ\\ن\\ت\\ر\\ن\\ت || test -h
/private/var/folders/qq/qqGPPGoBHOGgJs3oBoKTHU\\+\\+\\+TI/-Tmp-/tramp-test22198dkQ/\\أ\\ص\\ب\\ح\\
\\ب\\و\\س\\ع\\ك\\ \\ا\\ل\\آ\\ن\\ \\ت\\ن\\ز\\ي\\ل\\ \\ن\\س\\خ\\ة\\
\\ك\\ا\\م\\ل\\ة\\ \\م\\ن\\ \\م\\و\\س\\و\\ع\\ة\\
\\و\\ي\\ك\\ي\\ب\\ي\\د\\ي\\ا\\ \\ا\\ل\\ع\\ر\\ب\\ي\\ة\\
\\ل\\ت\\ص\\ف\\ح\\ه\\ا\\ \\ب\\ل\\ا\\ \\ا\\ت\\ص\\ا\\ل\\
\\ب\\ا\\ل\\إ\\ن\\ت\\ر\\ن\\ت) && /bin/ls -ildn -w
/private/var/folders/qq/qqGPPGoBHOGgJs3oBoKTHU\\+\\+\\+TI/-Tmp-/tramp-test22198dkQ/\\أ\\ص\\ب\\ح\\
\\ب\\و\\س\\ع\\ك\\ \\ا\\ل\\آ\\ن\\ \\ت\\ن\\ز\\ي\\ل\\ \\ن\\س\\خ\\ة\\
\\ك\\ا\\م\\ل\\ة\\ \\م\\ن\\ \\م\\و\\س\\و\\ع\\ة\\
\\و\\ي\\ك\\ي\\ب\\ي\\د\\ي\\ا\\ \\ا\\ل\\ع\\ر\\ب\\ي\\ة\\
\\ل\\ت\\ص\\ف\\ح\\ه\\ا\\ \\ب\\ل\\ا\\ \\ا\\ت\\ص\\ا\\ل\\
\\ب\\ا\\ل\\إ\\ن\\ت\\ر\\ن\\ت
> --8<---------------cut here---------------end--------------->8---
>
> Pls check also, whether you here a beep from your machine. We have seen
> ^G's in the Tramp debug buffer ...
>
> > -- Anders
>
> Best regards, Michael.